Bug 233582 - multimedia/subtitlecomposer: fix build with GCC-based architectures
Summary: multimedia/subtitlecomposer: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-27 22:04 UTC by Piotr Kubaj
Modified: 2018-12-02 12:45 UTC (History)
2 users (show)

See Also:
makc: maintainer-feedback+


Attachments
patch (626 bytes, patch)
2018-11-27 22:04 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj 2018-11-27 22:04:25 UTC
Created attachment 199617 [details]
patch

GCC architectures require USES=compiler:c++11-lang to build this port.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Max Brazhnikov freebsd_committer 2018-11-28 13:30:06 UTC
Thanks, please feel free to commit!
Comment 2 commit-hook freebsd_committer 2018-12-02 12:45:39 UTC
A commit references this bug:

Author: linimon
Date: Sun Dec  2 12:44:42 UTC 2018
New revision: 486410
URL: https://svnweb.freebsd.org/changeset/ports/486410

Log:
  USES=compiler:c++11-lang is needed to build this port on gcc-based
  architectures.

  While here, pet portlint.

  PR:		233582
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/multimedia/subtitlecomposer/Makefile